<div class="view intro-2 rgba-gradient">
  <div class="container-fluid full-bg-img">
      <div class="row">
          <div class="col-md-4 col-sm-12 col-xs-12"></div>
          <div class="col-md-4 col-sm-12 col-xs-12">
              <form class="form-container">
                  <h1>Register</h1>

                  <!--Valdation for username-->
                  <small *ngIf="username.touched && !username.valid">
                    <small *ngIf="username.errors.required">User name is required.</small>
                    <small *ngIf="username.errors.minlength">User name should have minimum {{username.errors.minlength.requiredLength}} characters.</small>
                  </small>
                  <!--form group of username-->
                  <div class="form-group input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text span-icon"> <i class="fa fa-user"></i> </span>
                    </div>
                    <input required [(ngModel)]="newUser.name" name="username" #username="ngModel" minlength="3" maxlength="15"  class="form-control" placeholder="User name*" type="text">
                  </div>

                  <!--Valdation for email-->
                  <small *ngIf="email.touched && !email.valid">
                    <small *ngIf="email.errors.required">Email is required.</small>
                    <small *ngIf="email.errors.pattern">Please enter a valid Email adress.</small>
                  </small>
                  <!--form group of email-->
                  <div class="form-group input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text span-icon"> <i class="fa fa-envelope"></i> </span>
                    </div>
                    <input required [(ngModel)]="newUser.email" name="email" #email="ngModel" maxlength="25" pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$" class="form-control" placeholder="Email address*" type="email">
                  </div>

                  <!--form group of date-->
                  <div class="form-group input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text span-icon"> <i class="fa fa-calendar-o"></i> </span>
                    </div>
                    <input type="date" id="birthDate" class="form-control input-feld" >
                  </div>
                  
                  <!-- form-group of type -->
                  <div class="form-group input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text span-icon"> <i class="fa fa-building"></i> </span>
                    </div>
                    <select class="form-control">
                      <option selected=""> Select type</option>
                      <option>Sales assistant</option>
                      <option>Company</option>
                    </select>
                  </div> 

                  <!--Valdation for password-->
                  <small *ngIf="password.touched && !password.valid">
                    <small *ngIf="password.errors.required">Password is required.</small>
                    <small *ngIf="password.errors.pattern && !password.errors.minlength">Number, upper- and lowercase letter are required.</small>
                    <small *ngIf="password.errors.minlength">Password should have minimum {{password.errors.minlength.requiredLength}} characters.</small>
                  </small>
                  <!--form group of password-->
                  <div class="form-group input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text span-icon"> <i class="fa fa-lock"></i> </span>
                    </div>
                    <input required [(ngModel)]="newUser.password" name="password" #password="ngModel" minlength="8" pattern="(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).{1,}" class="form-control" placeholder="Create password*" type="password">
                  </div> <!-- form-group// -->
                  

                  <!--Valdation for copypass-->
                  <small *ngIf="copypass.touched && copypass.errors?.notEqual">
                    Passwords do not match.
                  </small>
                  <!--form group of password-->
                  <div class="form-group input-group">
                    <div class="input-group-prepend">
                      <span class="input-group-text span-icon"> <i class="fa fa-lock"></i> </span>
                    </div>
                    <input required ngModel name="copypass" #copypass="ngModel" appConfirmEqualValidator = "password" class="form-control" placeholder="Repeat password*" type="password">
                  </div>

                  <div class="form-group">
                    <p class="text-center">By signing up you accept our <a href="#">Terms Of Use</a></p>
                  </div>

                  <div class="form-group">
                    <button type="submit" class="btn btn-primary btn-block" (click) = addNewUSer()
                    [disabled]= "email.invalid || copypass.invalid || password.invalid || username.invalid"> 
                      Create Account  
                    </button>
                  </div>
                  <div>
                      <hr class="register-line">
                      <div class="form-group">
                        <p class="text-center">Have an account? <a href="#" routerLink="/login">Log In</a></p>
                      </div>
                  </div>
              </form>
          </div>
          <div class="col-md-4 col-sm-4 col-xs-12"></div>
      </div>
  </div>
</div>